GearmanClient::doStatus
GearmanClient::error
GearmanClient
PHP Manual

# GearmanClient::echo

(PECL gearman >= 0.5.0)

GearmanClient::echo — Send data to all job servers to see if they echo it back

### Description

public bool GearmanClient::echo ( string `$workload` )

Sends some arbitrary data to all job servers to see if they echo it back. The data sent is not used or processed in any other way. Primarily used for testing and debugging.

### Parameters

`workload`

  Some arbitrary serialized data to be echo back

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

GearmanClient::doStatus
GearmanClient::error
GearmanClient
PHP Manual